Skip to navigation

Retrieve an agent task

Authentication

AuthorizationBearer

Pass your EmpirioLabs API key as a bearer token. The Anthropic-style x-api-key header is also accepted on every endpoint.

Path parameters

task_idstringRequired

Agent task id, from result.task_id of the task’s job.

Response

The task's current details.
objectstringOptional
modelstringOptional
task_idstringOptional
resultmap from strings to anyOptional
The task's current details from the agent, including its status and output.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error